# Solution

# 1. on construit le dictionnaire code = {letter: {name: , abrv:, etc.}}
code = {}
with open("exos/code_genetique.txt", 'r') as f:
    for line in f:
        # Chaque ligne est lue pour être stockée dans un dictionnaire
        parts = line.split(";")
        name = parts[0]
        letter = parts[1].strip()
        abrv = parts[2].strip()
        codons = [x.strip() for x in parts[3].split(',')]
        acide_amine = {'name': name, 'abrv': abrv, 'codons': codons}
        # letter -> {name: , abrv: , codons: }
        code.update({letter: acide_amine})

# 2. on construit le dictionnaire inverse icode = {codon: letter}
icode = {}
# on parcourt le dictionnaire code lettre par lettre
for letter, acide in code.items():
    # pour chaque codon de la liste acide['codons'], on ajoute le couple {codon: letter}
    for codon in acide['codons']:
        icode.update({codon: letter})

# 3. on définit la fonction de décodage
def decode(arn, form='letter'):
    """Traduit la chaîne de caractère arn en sequence de peptides"""
    # On coupe la chaîne arn en une liste de sous-chaînes de 3 caractères (= codons)
    n = 3
    codons = [arn[i:i+n] for i in range(0, len(arn), n)]
    if form == 'letter':
        # on utilise directement le dico icode: codon -> letter
        peptide = ''.join([icode[codon] for codon in codons])
    elif form == 'abrv':
        # on enchaîne les dicos icode et code pour résoudre : codon -> letter -> abrv
        peptide = '-'.join([code[icode[codon]]['abrv'] for codon in codons])  
    return peptide

# 4. on lit la chaîne de caractères dans le fichier en enlevant le retour à ligne
arn_mystere = open('exos/arn.txt', 'r').read().strip()

print("Version symbole :", decode(arn_mystere))
print("Version abrv.   :", decode(arn_mystere, form='abrv'))
