# Solution
def plot_essence(essence):
    # On extrait un Dataframe dont le nom de l'essence commence par "essence"
    df_essence = arbres[arbres['Libellé_Essence'].str.match('^' + essence)]
    # On crée une Series contenant contenant le nombre d'arbres par quartier
    essence_quartiers = df_essence['Point vert Quartier usuel'].value_counts()

    # On crée une carte initialement centrée sur Strasbourg
    STRASBOURG_COORD = (48.58, 7.75)
    stras_map = folium.Map(STRASBOURG_COORD, zoom_start=11,
                           tiles='cartodbpositron')

    # On ajoute les données des quartiers
    folium.GeoJson(gdf_quartiers).add_to(stras_map)

    folium.Choropleth(geo_data=gdf_quartiers,
                      data=essence_quartiers,
                      key_on='feature.properties.libelle',
                      fill_color='YlGn',
                      fill_opacity=0.5,
                      line_opacity=0.2,
                      legend_name="Nombre de " + essence).add_to(stras_map)
    stras_map.save('stras_tree_essence.html')
    display(stras_map)

plot_essence("Acer")
